Bug 679619 - Nouveau freeze when try to start X. nvidia Geforce Go 6150
Summary: Nouveau freeze when try to start X. nvidia Geforce Go 6150
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 17
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:lockup]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-23 01:05 UTC by Michael Cheah
Modified: 2018-04-11 16:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 846410 (view as bug list)
Environment:
Last Closed: 2013-08-01 16:54:53 UTC
Type: ---


Attachments (Terms of Use)
corrupted display (1.44 MB, image/jpeg)
2011-02-23 01:06 UTC, Michael Cheah
no flags Details
dmesg booting to runlevel 1 withou 'quiet' and 'rhgb' (124.85 KB, text/plain)
2011-02-23 02:00 UTC, Michael Cheah
no flags Details
/var/log/messages log. The system couldn't boot. (434.09 KB, text/plain)
2011-04-29 20:48 UTC, Ernesto Manríquez
no flags Details
Dmesg on i686 F15 Beta Live image (65.05 KB, text/plain)
2011-04-29 22:07 UTC, Michael Cheah
no flags Details
dmesg from Fedora 15 Beta x86_64 Live image (67.93 KB, text/plain)
2011-05-03 02:03 UTC, Michael Cheah
no flags Details

Description Michael Cheah 2011-02-23 01:05:14 UTC
Description of problem:
When booting the system with nouveau the system freeze with corrupted display when X was started. See attached image.

How reproducible:
Always

Steps to Reproduce:
1. Boot the system with F15 nouveau test day live image
2.
3.
  
Actual results:
As above

Expected results:
X should start. No system freeze and screen corruption.

Additional info:
The display controller is
00:05.0 VGA compatible controller [0300]: nVidia Corporation C51 [Geforce Go 6150] [10de:0244] (rev a2) (prog-if 00 [VGA controller])

This is a notebook IGP.

Comment 1 Michael Cheah 2011-02-23 01:06:34 UTC
Created attachment 480308 [details]
corrupted display

Comment 2 Michael Cheah 2011-02-23 02:00:27 UTC
Created attachment 480311 [details]
dmesg booting to runlevel 1 withou 'quiet' and 'rhgb'

Comment 3 Andre Robatino 2011-02-23 08:26:03 UTC
Your attachment in comment 1 looks very much like the corruption I had in the Gnome3 test day on Feb. 3 (and with any attempt to use mesa-dri-drivers-experimental in F14 or below). In the Nouveau test day on Feb. 22, it was gone. I have a GeForce 6150SE nForce 430. See https://bugs.freedesktop.org/show_bug.cgi?id=33887#c34 which suggests this may be a kernel bug that has been fixed. Maybe the fix is slightly different for your card?

http://www.smolts.org/client/show/pub_e6c78f7d-d38c-47df-8f06-47696b5c01b3

Comment 4 Michael Cheah 2011-02-23 08:39:00 UTC
I talked to Ben on the IRC and it seems to be issues related to the vram. I hope that there will be some follow ups in coming days after he takes a look at my machine.

Comment 5 Matěj Cepl 2011-03-07 15:50:47 UTC
OK, marking this bug as needinfo and waiting further development of the case.

Comment 6 Scott Dodson 2011-04-02 22:16:47 UTC
I see the same using my GT7950, however I get different messages so I have filed Bug 693133. They may be related but I'm not sure.

Comment 7 Ernesto Manríquez 2011-04-29 20:48:26 UTC
Created attachment 495865 [details]
/var/log/messages log. The system couldn't boot.

Comment 8 Ernesto Manríquez 2011-04-29 20:49:36 UTC
I'm also affected by this, GeForce 6150SE (NV44-C61). Some interesting info:

1. I've tested both x86_64 and i686. Under i686, Fedora 15 Beta kernel runs successfully, 3D is enabled with all effects available, with only minimum stability issues. So this is definitely x86_64 ONLY.
2. In my system, X fails to start unless I run with nomodeset. Since Nouveau doesn't support a nomodeset path, I'm in fact running with the VESA driver.
3. I didn't install any proprietary blobs other than those provided with a Fedora 15 Beta clean install (should be none).

I submitted a kernel log. Should be coherent with OP.

Comment 9 Michael Cheah 2011-04-29 21:35:55 UTC
Very interesting. I'll try to boot with i686 image and report my result.

Comment 10 Michael Cheah 2011-04-29 22:06:33 UTC
I have the same result as in Comment 8! System boot fine with F15 Beta i686 image. 3D is enabled using nouveau. No corruption in GNOME-Shell. Maybe it's a kernal issue in managing VRAM?

Attaching dmesg on i686.

Comment 11 Michael Cheah 2011-04-29 22:07:17 UTC
Created attachment 495879 [details]
Dmesg on i686 F15 Beta Live image

Comment 12 Ben Skeggs 2011-05-02 22:37:32 UTC
(In reply to comment #11)
> Created attachment 495879 [details]
> Dmesg on i686 F15 Beta Live image

Any chance you can attach yours from the x86_64 live image also?  I'd like to compare with the same kernel version!

Comment 13 Ernesto Manríquez 2011-05-03 00:16:32 UTC
I can't, and I'm sure Michael can't, because I can't boot the LiveCD unless I run it with nomodeset, and Michael has the same hardware I own (HP Pavilion tx1000, from the image). However, the backtrace I provide is the next best thing: a backtrace from a new system installed from the Fedora 15 Beta image (when the installer runs, in reality it simply copies the CD image to HDD, that's what I'm providing)

Comment 14 Michael Cheah 2011-05-03 01:18:09 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > Created attachment 495879 [details]
> > Dmesg on i686 F15 Beta Live image
> 
> Any chance you can attach yours from the x86_64 live image also?  I'd like to
> compare with the same kernel version!

Sure I can. I will get back to you within a couple hours.

However as a note I won't be able to boot the x86_64 image without the vram.pushbuf and vram.notify options. If I boot with those two options I can get a functional VT to dump the output into text file.

Comment 15 Michael Cheah 2011-05-03 02:03:37 UTC
Created attachment 496416 [details]
dmesg from Fedora 15 Beta x86_64 Live image

Here you go Ben. Hope it helps.

Comment 16 adam.s 2011-08-31 16:20:54 UTC
3 months and nothing new?
I get the exact same corruption. Hardware is a Geforce go 6100 (same as 6150, but lower clock).

Nouveau works with ACCELERATION DISABLED (kernel param nouveau.noaccel=1).

Comment 17 Ernesto Manríquez 2011-10-20 19:19:37 UTC
Seeing this with Fedora 16 Verne Beta Live CD.

Comment 18 streumix 2011-10-28 09:19:23 UTC
Fedora 16 Verne x86_64 live desktop gives me the same corruption for a 9500GT (G96), whereas 32-bit is working fine.

I've even tested Ubuntu 11.10 live for curiosity. The same story. 32-bit is working, whereas 64-bit results in screen corruption for the x-server.

The only working 64-bit live media I know is a phoronix test suite based on Ubuntu 10.10.

Is it possible to run installation with Nouveao nomodeset or noaccel and switch to Nvidia proprietary driver for 3D accel (with downgraded glibc, of course) ?

Comment 19 Steven Usdansky 2011-11-05 23:45:33 UTC
I'm seeing the same problem (Dell Optiplex, onboard GeForce 6150LE) with F16 RC5 (now gold) and no xorg.conf. 32-bit works fine, 64-bit locks up the system.

Comment 20 D. Hugh Redelmeier 2012-06-17 18:53:50 UTC
This may be relevant: https://bugs.freedesktop.org/show_bug.cgi?id=46557
To test, add "mem=2g" kernel parameter.
I noticed that the file "dmesg from Fedora 15 Beta x86_64 Live image" showed that the machine had 3G.

Comment 21 Michael Cheah 2012-06-20 04:08:15 UTC
(In reply to comment #20)
> This may be relevant: https://bugs.freedesktop.org/show_bug.cgi?id=46557
> To test, add "mem=2g" kernel parameter.
> I noticed that the file "dmesg from Fedora 15 Beta x86_64 Live image" showed
> that the machine had 3G.

I can confirm that adding mem=2g works on 64-bit Fedora 17 live cd.

Comment 22 Fedora End Of Life 2012-08-07 15:32:33 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 23 D. Hugh Redelmeier 2012-08-07 17:08:46 UTC
I am cloning: clearly the bug is still in F16 and F17 (read above comments).

Comment 24 Andre Robatino 2012-08-07 20:13:03 UTC
Reopening for F17 to save the trouble of cloning.

Comment 25 Fedora End Of Life 2013-07-04 05:42:11 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 26 Fedora End Of Life 2013-08-01 16:54:59 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.